############################################################################
##
## Copyright (C) 2019 The Qt Company Ltd.
## Contact: https://www.qt.io/licensing/
##
## This file is part of the Boot to Qt meta layer.
##
## $QT_BEGIN_LICENSE:GPL$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see https://www.qt.io/terms-conditions. For further
## information use the contact form at https://www.qt.io/contact-us.
##
## GNU General Public License Usage
## Alternatively, this file may be used under the terms of the GNU
## General Public License version 3 or (at your option) any later version
## approved by the KDE Free Qt Foundation. The licenses are as published by
## the Free Software Foundation and appearing in the file LICENSE.GPL3
## included in the packaging of this file. Please review the following
## information to ensure the GNU General Public License requirements will
## be met: https://www.gnu.org/licenses/gpl-3.0.html.
##
## $QT_END_LICENSE$
##
############################################################################

FILESEXTRAPATHS_prepend := "${THISDIR}/qtbase:"

SRC_URI += "\
    file://0001-Add-win32-g-oe-mkspec-that-uses-the-OE_-environment.patch \
    "

PACKAGECONFIG += "openssl gui imageformats"
PACKAGECONFIG_remove_mingw32 += "openssl"

fakeroot do_generate_qt_environment_file_mingw32() {
}

# qdatetime.cpp: error: 'localtime_r' was not declared in this scope
QT_CONFIG_FLAGS_append_mingw32 = " -D_POSIX_C_SOURCE"

# workaround for QTBUG-64707
QT_CONFIG_FLAGS_append_mingw32 = " -no-feature-rdrnd"
